githubEdit

Facility group endpoints

Create facility group

post

Creates a new facility group.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body

FacilityGroupForCreation

customAttributesobject · nullableOptional

Attributes that can be added to the facility group. These attributes cannot be used within fulfillment processes, but it could be useful to have the information carried here.

facilityRefsstring[] · max: 500Required

Array of facility references belonging to this group

tenantFacilityGroupIdstringRequired

The id of the facility group in the tenants own system

Example: K12345
Responses
post
/api/facilitygroups

List facility groups

get

Get all facility groups with pagination.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
startAfterIdstringOptional
tenantFacilityGroupIdstringOptional
Responses
chevron-right
200

The facility groups that were found based on the given filters.

application/json

FacilityGroups

totalnumberOptional

Total number of found entities for this query

Example: 42
get
/api/facilitygroups

Delete facility group

delete

Delete facility group by id.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
facilityGroupIdstringRequired
Responses
chevron-right
200

Facility group was found and deleted.

No content

delete
/api/facilitygroups/{facilityGroupId}

No content

Get facility group

get

Get facility group by id.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
facilityGroupIdstringRequired
Responses
chevron-right
200

Facility group was found. The result is in the body.

application/json

FacilityGroup

createdstring · date-timeRequired

Creation timestamp

customAttributesobject · nullableOptional

Attributes that can be added to the facility group. These attributes cannot be used within fulfillment processes, but it could be useful to have the information carried here.

facilityRefsstring[] · max: 500Required

Array of facility references belonging to this group

idstringRequired

The facility group ID

lastModifiedstring · date-timeRequired

Last modified timestamp

namestringOptional

The name of the facility group

tenantFacilityGroupIdstringRequired

The id of the facility group in the tenants own system

Example: K12345
versionnumberRequired

Document version for optimistic locking

get
/api/facilitygroups/{facilityGroupId}

Call facility group action

post

Perform action on a facility group. Supported actions are defined in the request body.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
facilityGroupIdstringRequired
Responses
chevron-right
200

Updated facility group in the body.

application/json

FacilityGroup

createdstring · date-timeRequired

Creation timestamp

customAttributesobject · nullableOptional

Attributes that can be added to the facility group. These attributes cannot be used within fulfillment processes, but it could be useful to have the information carried here.

facilityRefsstring[] · max: 500Required

Array of facility references belonging to this group

idstringRequired

The facility group ID

lastModifiedstring · date-timeRequired

Last modified timestamp

namestringOptional

The name of the facility group

tenantFacilityGroupIdstringRequired

The id of the facility group in the tenants own system

Example: K12345
versionnumberRequired

Document version for optimistic locking

post
/api/facilitygroups/{facilityGroupId}/actions

List facility groups (search)

post

Search for FacilityGroup

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body

FacilityGroupSearchPayload

afterstringOptional

The cursor to start after for forward pagination. The value is provided in the pageInfo.endCursor field of the response. Cannot be used with before or last.

beforestringOptional

The cursor to start before for backward pagination. The value is provided in the pageInfo.startCursor field of the response. Cannot be used with after or size (first).

lastnumber · min: 1 · max: 250Optional

Number of items to return for backward pagination. Cannot be used with 'size' (first). Default: 20.

sizenumber · min: 1 · max: 250Optional

Number of items to return for forward pagination. Cannot be used with 'last'. Default: 20.

startAfterIdstringOptionalDeprecated

The ID to start after. Deprecated, use after with the value provided in pageInfo.endCursor instead.

Responses
chevron-right
200

Your search result

application/json

FacilityGroupPaginatedResult

totalnumberOptional

The total number of items matching the search criteria. Only filled, if withTotal is set to true in the search options.

post
/api/facilitygroups/search

Update facility group

patch

Replace facility group by id. All updatable fields will be replaced with the values from the request. Fields that are not included in the request will be removed from the entity.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
facilityGroupIdstringRequired
Body

FacilityGroupForUpdate

customAttributesobject · nullableOptional

Attributes that can be added to the facility group. These attributes cannot be used within fulfillment processes, but it could be useful to have the information carried here.

facilityRefsstring[] · max: 500Optional

Array of facility references belonging to this group

tenantFacilityGroupIdstringOptional

The id of the facility group in the tenants own system

Example: K12345
versionnumberRequired

The version of the document to be used in optimistic locking mechanisms.

Example: 42
Responses
chevron-right
200

Facility group was replaced. The replaced facility group is in the body.

application/json

FacilityGroup

createdstring · date-timeRequired

Creation timestamp

customAttributesobject · nullableOptional

Attributes that can be added to the facility group. These attributes cannot be used within fulfillment processes, but it could be useful to have the information carried here.

facilityRefsstring[] · max: 500Required

Array of facility references belonging to this group

idstringRequired

The facility group ID

lastModifiedstring · date-timeRequired

Last modified timestamp

namestringOptional

The name of the facility group

tenantFacilityGroupIdstringRequired

The id of the facility group in the tenants own system

Example: K12345
versionnumberRequired

Document version for optimistic locking

patch
/api/facilitygroups/{facilityGroupId}

Last updated